<?php
$links = [
    "blog" => [
        "href" => "https://tilde.team/~ben/blog/",
        "icon" => "rss"
    ],
    "my git guide" => [
        "href" => "learngit/",
        "icon" => "git"
    ],
    "software design pattern book" => [
        "href" => "patterns/",
        "icon" => "book"
    ],
    "win solitaire" => [
        "href" => "soli/",
        "icon" => "gamepad"
    ],
    "wordle (archival edition)" => [
        "href" => "wordle/",
        "icon" => "sticky-note"
    ],
    "webfont mirror" => [
        "href" => "fonts/",
        "icon" => "font"
    ],
    "cgi script collection" => [
        "href" => "cgi-bin/",
        "icon" => "database"
    ],
    "traffic stats" => [
        "href" => "trafficstats/",
        "icon" => "signal"
    ],
    "nginx stats" => [
        "href" => "https://tilde.team/stats/",
        "icon" => "dashboard"
    ],
    "status pages" => [
        "href" => "https://status.tilde.team/",
        "icon" => "area-chart"
    ],
    "glowing-bear" => [
        "href" => "glowing-bear/",
        "icon" => "commenting"
    ],
    "test combinator" => [
        "href" => "testgen/",
        "icon" => "calculator"
    ],
    "podcasts i like" => [
        "href" => "podcasts/",
        "icon" => "microphone"
    ],
    "suckless (more)" => [
        "href" => "suckmore/",
        "icon" => "globe"
    ],
    "avatars" => [
        "href" => "avatars/",
        "icon" => "users"
    ],
    "taglines" => [
        "href" => "taglines/",
        "icon" => "quote-left"
    ],
    "pronouns" => [
        "href" => "pronouns/",
        "icon" => "heart"
    ],
    "resumes" => [
        "href" => "resumes/",
        "icon" => "money"
    ],
    "projects" => [
        "href" => "projects/",
        "icon" => "rocket"
    ],
    "tilde.json explorer" => [
        "href" => "tilde.json/",
        "icon" => "code"
    ],
    "tracery grammars" => [
        "href" => "tracery/",
        "icon" => "quote-right"
    ],
    "this theme" => [
        "href" => "gruvbox/",
        "icon" => "css3"
    ],
    "assorted images" => [
        "href" => "img/",
        "icon" => "file-image-o"
    ],
];

foreach ($links as $name => $link): ?>
    ~&gt; <a <?=$link["extra_attrs"] ?? ""?> href="<?=$link["href"]?>">
        <i class="<?=faclass($link["icon"])?>"></i> <?=$name?></a><br>
<?php endforeach; ?>
